import java.sql.DriverManager
import ru.langrafhomyak.db.jdbc_resources_manager.PreparedStatementsCompilationPhantomCache

val someStmt = PreparedStatementsCompilationPhantomCache("SELECT * FROM sqlite_master")

fun main() {
	for (i in 0..10) {
		DriverManager.getConnection("jdbc:sqlite::memory:").use { connection ->
			someStmt.preparedStatementForConnection(connection).use { ps ->
				ps.executeQuery().use { rs ->
					while (rs.next()) {
						println(rs.getString(0))
					}
				}
			}
		}
		System.gc()
	}
}